main > .frame {
    display: grid;
    grid-template-columns: var(--anresis-content-grid);
   
    >* {
       grid-column: content;
   }
}

.frame-type-shortcut {
    padding: 0 !important;

    >.frame {
        grid-column: full-content;
        display: grid;
        grid-template-columns: var(--anresis-content-grid);
       
        >* {
           grid-column: content;
       }
    }
}


.frame {
    padding-block-start: var(--anresis-frame-spacing);
    padding-block-end: var(--anresis-frame-spacing);

    &.frame-space-before-no-spacing {
        padding-block-start: 0;
    }

    &.frame-space-after-no-spacing {
        padding-block-end: 0;
    }

    &.frame-layout-10 {
        background-color: var(--anresis-color-grey-2-background);
    }

    &.frame-layout-20 {
        background-color: var(--anresis-color-secondary-background);
    }
    
    &.frame-layout-30 {
        background-color: var(--anresis-color-white-background);
    }

}


h2 {
    margin-block-start: 0;
    margin-block-end: var(--anresis-spacing-1);
    font: var(--anresis-font-h2);
    hyphens: auto;
    hyphenate-limit-chars: 20 auto auto;

    &.ce-headline-left {
        text-align: start;
    }

    &.ce-headline-center {
        text-align: center;
    }

    &.ce-headline-right {
        text-align: end;
    }
}

h3 {
    margin-block-start: 0;
    margin-block-end: var(--anresis-spacing-1);
    font: var(--anresis-font-h3);
    color: var(--anresis-color-text);
    hyphens: auto;
    hyphenate-limit-chars: 20 auto 6;

    &.ce-headline-left {
        text-align: start;
    }

    &.ce-headline-center {
        text-align: center;
    }

    &.ce-headline-right {
        text-align: end;
    }
}

.frame-header-layout-10 {
    h2,
    h3 {
        text-transform: none;
    }
}

p {
    color: var(--anresis-color-text);
    font: var(--anresis-font-text);
    margin-block-start: 0;
    margin-block-end: var(--anresis-spacing-6);
    
    &.text-center {
        text-align: center;
    }
    
    &.text-end {
        text-align: end;
    }

    &.text-justify {
        text-align: justify;
    }
}

.ce-bodytext > * {
    &:last-child {
        margin-block-end: 0;
    }
}

ul,
ol {
    font: var(--anresis-font-text);
    margin-inline-start: var(--anresis-spacing-6);
    margin-block-end: var(--anresis-spacing-6);
    padding: 0;
    padding-inline-start: var(--anresis-spacing-1);
    color: var(--anresis-color-text);
}

.ce-bodytext table {
    width: 100%;

    thead {
        th,td {
            background-color: #a9c7d6;
            text-align: left;
            font: var(--anresis-font-text);
            font-weight: var(--anresis-font-weight-bold);
        }
    }

    th,td {
        padding: var(--anresis-spacing-4);
        background-color: #ebf0f5;
        font: var(--anresis-font-text);
    }
}

a {
    color: var(--anresis-color-primary-text);
    text-decoration: none;

    &:hover {
        color: var(--anresis-color-primary-dark-text)
    }
}

figure.table,
figure.image {
    margin: 0;
    margin-block-end: var(--anresis-spacing-6);

    > img {
        display: block;
    }
}


.button {
    display: inline-flex;
    gap: var(--anresis-spacing-3);
    font: var(--anresis-font-button);
    color: var(--anresis-color-white-text);
    background-color: var(--anresis-color-button);
    padding: var(--anresis-spacing-4) var(--anresis-spacing-6);
    text-decoration: none;
    cursor: pointer;
    min-width: 150px;
    justify-content: center;
    align-items: center;
    border: 1px solid transparent;

    .ce-bodytext & {
        width: auto;


        @media (max-width: 479px) {
            width: 100%;
        }
    }

    &.button--primary {
        background-color: var(--anresis-color-primary-background);
        color: var(--anresis-color-white-text);

        &:hover {
            background-color: var(--anresis-color-primary-dark-background);
            color: var(--anresis-color-white-text);
        }
    }

    &.button--arrow {

        justify-content: flex-start;
        &::before {
            flex-shrink: 0;
            display: block;
            width: 20px;
            height: 28px;
            content: "";
            background-image: url(../Images/Icons/arrow-right.svg);
            background-size: contain;
            background-repeat: no-repeat;
            background-position: center;
            filter: var(--anresis-color-white-filter);
        }
    }

    &.button--download {
        justify-content: flex-start;
        &::before {
            flex-shrink: 0;
            display: block;
            width: 20px;
            height: 28px;
            content: "";
            background-image: url(../Images/Icons/arrow-right.svg);
            background-size: contain;
            background-repeat: no-repeat;
            background-position: center;
            filter: var(--anresis-color-white-filter);
            rotate: 90deg;
            border-right: 1px solid white;
        }
    }

    &.button--site-switch {
        background-color: #00aaaf;
        width: fit-content;
        height: fit-content;
        border-radius: var(--asp-border-radius-small);
        padding: var(--anresis-spacing-2) var(--anresis-spacing-4);
        min-width: unset;
        flex-shrink: 0;
        border: none;

        > img {
            height: 12px;
            width: auto;
            filter: var(--anresis-color-white-filter);
        }

        &:hover {
            background-color: #00aaaf;
        }
    }



    &:hover {
        color: var(--anresis-color-white-text);
        background-color: var(--anresis-color-button-hover);
    }



    &.button--outline {
        width: auto;
        background-color: transparent;
        border: 1px solid var(--anresis-color-white);
        text-transform: uppercase;

        &:hover {
            background-color: var(--anresis-color-white-background);
            color: var(--anresis-color-primary-text);
        }
    }

    & + & {
        margin-inline-start: var(--anresis-spacing-4);
    }
}

p:has(.button) + p:has(.button) {
    margin-top: -16px;
}

img {
    max-width: 100%;
    height: auto;
}

.ce-textpic,
.ce-image {
    &.ce-center .ce-gallery {
        text-align: center;
    }
}

.video-embed {
    video {
        width: 100%;
        height: auto;
    }
}

iframe {
    width: 100%;
    height: 750px;
    border: none;
}

.ce-table {
    color: var(--anresis-color-text);
    font: var(--anresis-font-text);
    border-collapse: collapse;

    th {
        text-align: start;
    }

    td,th {
        padding: var(--anresis-spacing-1);
    }

    tr {
        border-block: 1px solid #bcbcbc;
    }

    @media (max-width: 767px) {
        tr {
            padding: var(--anresis-spacing-1);
            display: flex;
            flex-direction: column;
            width: 100%;

            &:not(:last-child) {
                border-block-end: none;
            }

            th, td {
                padding: 0;
            }
        }
    }
}

.small-text {
    font-size: 1rem;
}

.lead-text {
    font: var(--anresis-font-lead);
    font-weight: var(--anresis-font-weight-light);

    strong {
        font: var(--anresis-font-lead-bold);
    }
}

.image-embed-item {
    max-width: 100%;
}

.loading-indicator {
    display: flex;
    gap: var(--anresis-spacing-4);
    position: absolute;
    width: calc(100% + var(--anresis-spacing-6));
    height: calc(100% + var(--anresis-spacing-6));
    left: calc(-1 * var(--anresis-spacing-3));
    top: calc(-1 * var(--anresis-spacing-3));
    align-items: center;
    justify-content: center;


    .dot {
        content: "";
        width: var(--anresis-spacing-5);
        height: var(--anresis-spacing-5);
        border-radius: 50%;
        display: inline-block;
        animation: loadingDot 1.8s infinite ease-in-out;
        translate: 0% -100%;
    }

    .dot-1 {
        animation-delay: -0.32s
    }
    
    .dot-2 {
        animation-delay: -0.16s
    }
}

@keyframes loadingDot {
    0%, 80%, 100% {
        box-shadow: 0 var(--anresis-spacing-5) 0 -1.3em var(--anresis-color-primary);
    }
    
    40% {
        box-shadow: 0 var(--anresis-spacing-5) 0 0 var(--anresis-color-primary);
    }
}
